﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Binding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        public ObservableCollection<Person> People { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }

        public MainWindow()
        {
            InitializeComponent();
            this.maingrid.DataContext = this;
        }

        bool checkedValue = false;
        private void radiobutton_Checked(object sender, RoutedEventArgs e)
        {
            RadioButton send = (RadioButton)sender;
            Console.WriteLine(send.IsChecked.Value + " " + checkedValue);

            if (send.IsChecked.Value && checkedValue)
            {
                this.radiobutton.IsChecked = false;
            }
            checkedValue = send.IsChecked.Value;
        }

        private void Window_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Escape)
            {
                Application.Current.Shutdown();
            }
        }

        private int range = 0;
        public int Range {
            get { return this.range; }
            set
            {
                if (this.range != value)
                {
                    this.range = value;
                    this.OnPropertyChanged("Range");
                }
            }
        }


        private String text = "";
        public String Text {
            get {
                return this.text;
            }
            set
            {
                this.text = value;
                this.OnPropertyChanged("Text");
                this.OnPropertyChanged("TextReverse");
            }
        }
        public String TextReverse {
            get
            {
                char[] charArray = text.ToCharArray();
                Array.Reverse(charArray);
                return new string(charArray);
            }
        }

        private void EnableCheckboxes_Checked(object sender, RoutedEventArgs e)
        {

        }

        private bool red = false;
        public bool Red {
            get { return this.red; }
            set
            {
                if (this.red != value)
                {
                    this.red = value;
                    this.OnPropertyChanged("Red");
                }
            }
        }

        private bool hideRed = false;
        public bool HideRed {
            get { return this.hideRed; }
            set
            {
                if (this.hideRed != value)
                {
                    this.hideRed = value;
                    this.OnPropertyChanged("HideRed");
                }
            }
        }
    }
}
